#ifndef __MEMORYTASK_H__
#define __MEMORYTASK_H__

/*******************************************************************************
* the includes
******************************************************************************/
#include "mcu.h"
#include "fee_cfg.h"

/*******************************************************************************
* the defines
******************************************************************************/



/*******************************************************************************
* the typedefs
******************************************************************************/
typedef enum
{
    FEERWSTATE_IDLE,
    FEERWSTATE_REQ,
    FEERWSTATE_START,
    FEERWSTATE_FINISHED,
    FEERWSTATE_ERROR
}FEERWSTATE_t;


/*******************************************************************************
* the globals
******************************************************************************/



/*******************************************************************************
* the functions
******************************************************************************/
void MemoryTaskInit(void);
void MemoryMainTask(void);

FEERWSTATE_t MemoryTask_getReadState(void);
FEERWSTATE_t MemoryTask_getWriteState(void);
void MemoryTask_ReqRead(uint8_t id,uint8_t *dataptr,uint8_t len);
void MemoryTask_ReqWrite(uint8_t id,uint8_t *dataptr,uint8_t len);


#endif

